# DaprProtos.UnlockResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.UnlockResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.UnlockResponse`, `DaprProtos.UnlockResponse.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.UnlockResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprProtos.UnlockResponse.Status` `getStatus()` `.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`
`int` `getStatusValue()` `.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStatusValue

    int getStatusValue()

`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`

Returns:
  The enum numeric value on the wire for status.

#### getStatus

    DaprProtos.UnlockResponse.Status getStatus()

`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`

Returns:
  The status.